mscorlib 2.0.0.0 4.0.0.0 System.ValueType

The CONNECTDATA structure is the type enumerated through the method.

For more information about CONNECTDATA, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Describes a connection that exists to a given connection point.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Represents a connection token that is returned from a call to .

- Field
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  Represents a pointer to the IUnknown interface on a connected advisory sink. The caller must call IUnknown::Release on this pointer when the CONNECTDATA structure is no longer needed.